import  r  from "@/utils/request.ts"

//paginationList("").then(r=>{
//   r.length
// })
export function paginationList(param:any)  {
  let reqUrl = '/api/dict/drug/'+param.pageNum+'/'+param.pageSize;
  if (param.name.length > 0){
    reqUrl = '/api/dict/drug/search/'+param.pageNum+"/"+param.pageSize+'/'+param.name;
  }
  return r.request<string[]>({//r.request会做拦截，因此响应的数据就是string[] 类型
    url: reqUrl,
    method: 'get',
    
  })
}

export function search(param: string){
  return r.request<string[]>({//r.request会做拦截，因此响应的数据就是string[] 类型
    url: '/drugs/search',
    method: 'post',
    data: { cond : param, size: 10}, 
  })
}

export function getDrugById(param: number){
  return r.request<string[]>({//r.request会做拦截，因此响应的数据就是string[] 类型
    url: '/drugs/' + param,
    method: 'get',
  })
}

export function getDrug(param: any){
  return r.request<string[]>({//r.request会做拦截，因此响应的数据就是string[] 类型
    url: '/drugs/get/' + param.regName + '/'+param.regSpec,
    method: 'get',
  })  
}




